%define version 4.1.1
%define release alt1
#define snap_date %nil
#define snap_rel %nil

%setup_python_module PyQt4

Summary: Python bindings for Qt.
Name: %packagename
Version: %version
License: GPL
Group: Development/Python
%ifdef snap_date
Release: %release.snap%snap_date.%snap_rel
Source0: PyQt4-gpl-snapshot-%snap_date.tar.gz
%else
Release: %release
Source0: PyQt-x11-gpl-%version.tar.gz
%endif
URL: http://www.riverbankcomputing.co.uk/pyqt/
Requires: libqscintilla >= 1.4
%py_package_requires sip >= 4.5.1
Packager: Python Development Team <python@packages.altlinux.org>

BuildPreReq: %py_package_dependencies sip-devel >= 4.5.1

%add_python_req_skip Compiler

# Automatically added by buildreq on Thu Dec 28 2006
#BuildRequires: gcc-c++ libmesa-devel libqt4-devel libXext-devel python-module-sip-devel
BuildRequires: gcc-c++ libqt4-devel

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt4 backend
code generator for Qt Designer.

%package devel
Requires: %name = %version-%release
Summary:  Sip files for %name
Group: Development/Python
%py_package_provides %modulename-devel = %version-%release

%description devel
Sip files for PyQt to build extension

%package examples
Summary: PyQt4 examples
Group: Development/Python
Requires: %name
%py_package_provides %modulename-examples = %version-%release

%description examples
This package contains PyQt4 examples

%package doc
Summary: PyQt4 docs
Group: Development/Python
Requires: %name
%py_package_provides %modulename-examples = %version-%release

%description doc
This package contains PyQt4 docs

%prep
%ifdef snap_date
%setup -n PyQt4-gpl-snapshot-%snap_date
%else
%setup -n PyQt-x11-gpl-%version
%endif

%build
echo 'yes' | %__python configure.py -q %_qt4dir/bin/qmake -d %python_sitelibdir/%modulename
make

%install
make install DESTDIR=%buildroot

%files
%_bindir/*
%python_sitelibdir/*

%files devel
%dir %_datadir/sip
%_datadir/sip/*

%files doc
%doc doc/*
%doc NEWS README ChangeLog THANKS

%files examples
%doc examples

%changelog
* Thu Dec 28 2006 Ivan Fedorov <ns@altlinux.ru> 4.1.1-alt1
- 4.1.1

* Fri Sep 08 2006 Ivan Fedorov <ns@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Mon Jun 12 2006 Ivan Fedorov <ns@altlinux.ru> 4.0-alt1
- 4.0 release

* Sun Apr 09 2006 Ivan Fedorov <ns@altlinux.ru> 4.0.0-alt0.snap20060408.0
- 4.0.0-snapshot-20060408

* Sun Apr 09 2006 Ivan Fedorov <ns@altlinux.ru> 4.0.0-alt0.snap20060328.0
- 4.0.0-snapshot-20060328

* Sat Dec 31 2005 Ivan Fedorov <ns@altlinux.ru> 4.0.0-alt0.snap20051229.0
- 4.0.0-snapshot-20051229

* Wed Dec 07 2005 Ivan Fedorov <ns@altlinux.ru> 3.15.1-alt1
- 3.15.1

* Thu Jun 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1.1.1
- Rebuilt with libqt3.

* Thu Jun 02 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1.1
- Rebuild with new libgnutls.so.11 .

* Tue Apr 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1
- Rebuilt with libqt3

* Fri Mar 25 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1
- Rebuilt with libqt3

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 3.14.1-alt1
- 3.14.1
- rebuild with python 2.4

* Sat Mar 05 2005 Ivan Fedorov <ns@altlinux.ru> 3.14-alt2
- small fix spec

* Mon Feb 21 2005 Ivan Fedorov <ns@altlinux.ru> 3.14-alt1
- 3.14

* Fri Feb 04 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.13-alt4.1.1
- Rebuilt with qt3-3.3.4

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.13-alt4.1
- Rebuilt with libstdc++.so.6.

* Mon Dec 27 2004 Ivan Fedorov <ns@altlinux.ru> 3.13-alt4
- fixing requires (libqt3)

* Sun Dec 12 2004 Ivan Fedorov <ns@altlinux.ru> 3.13-alt3
- fix spec to be compatible with python policy

* Wed Oct 27 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.13-alt2
- fix sip>=4.1 requires bug (#5323)

* Fri Sep 24 2004 Eugene V. Horohorin <genix@altlinux.org> 3.13-alt1
- new release

* Tue Sep 21 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.12-alt2
- new buildrequires

* Thu Sep 02 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.12-alt1
- new release
- removed macros (_findprov_lib_path)
- spec cleanup

* Fri Aug 01 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt2
- added _findprov_lib_path macro to temporary solve problem with dependencies

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt1
- new release

* Mon Apr 28 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt1
- new release

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt0.1
- New build from snapshot

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- comment patch added ( this comment line needs for eric )
- add devel package ( need to build some extension of qt )

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- build with qscintilla
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- correct version

* Sat Dec 07 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- add documentation

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- Initial release

